Page MenuHomeFreeBSD

net/uriparser: Upgrade to 0.8.6.
ClosedPublic

Authored by ed on Sep 3 2018, 6:39 AM.

Details

Summary
  • Switch to GitHub releases instead of SourceForge.
  • Remove a local patch that has been integrated in the meantime.
  • Stock GitHub tarballs don't ship with Autoconf generated files. Make sure we generate those now.
Test Plan

Poudriere build on 11.x amd64 passes.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 21309
Build 20642: arc lint + arc unit

Event Timeline

ed created this revision.Sep 3 2018, 6:39 AM
mat added a comment.Sep 3 2018, 6:56 AM

Switch to GitHub releases instead of SourceForge.

This is wrong for more than one reason:

  1. it is not a "Github releases" but an extract from the repository using git-archive(1), you can, sometime, find released tarballs on github, but they are not accessible using USE_GITHUB.
  2. SourceForge has a 0.8.6 tarball, and we should always use the release tarballs upstream takes time to create instead of falling back to commits from github.

Unless the 0.8.6 tarball is unusable for some reason, in which case, please state why, you should keep using the released tarball.

net/uriparser/Makefile
19–21

All these should be moved later. See Chapter 15. Order of Variables in Port Makefiles.

riggs updated this revision to Diff 51496.Dec 2 2018, 1:38 PM
riggs added a subscriber: riggs.

Update to 0.9.0; addresses multiple CVEs

mat accepted this revision.Dec 6 2018, 3:46 PM
This revision is now accepted and ready to land.Dec 6 2018, 3:46 PM
This revision was automatically updated to reflect the committed changes.